summaryrefslogtreecommitdiffstats
path: root/testing/docker/lint
diff options
context:
space:
mode:
authorMatt A. Tobin <mattatobin@localhost.localdomain>2018-02-02 04:16:08 -0500
committerMatt A. Tobin <mattatobin@localhost.localdomain>2018-02-02 04:16:08 -0500
commit5f8de423f190bbb79a62f804151bc24824fa32d8 (patch)
tree10027f336435511475e392454359edea8e25895d /testing/docker/lint
parent49ee0794b5d912db1f95dce6eb52d781dc210db5 (diff)
downloadUXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.gz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.lz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.xz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.zip
Add m-esr52 at 52.6.0
Diffstat (limited to 'testing/docker/lint')
-rw-r--r--testing/docker/lint/Dockerfile36
-rw-r--r--testing/docker/lint/system-setup.sh69
2 files changed, 105 insertions, 0 deletions
diff --git a/testing/docker/lint/Dockerfile b/testing/docker/lint/Dockerfile
new file mode 100644
index 000000000..7e9b41214
--- /dev/null
+++ b/testing/docker/lint/Dockerfile
@@ -0,0 +1,36 @@
+FROM ubuntu:16.04
+MAINTAINER Andrew Halberstadt <ahalberstadt@mozilla.com>
+
+RUN useradd -d /home/worker -s /bin/bash -m worker
+WORKDIR /home/worker
+
+RUN mkdir /build
+# %include testing/docker/recipes/tooltool.py
+ADD topsrcdir/testing/docker/recipes/tooltool.py /build/tooltool.py
+
+# %include testing/mozharness/external_tools/robustcheckout.py
+ADD topsrcdir/testing/mozharness/external_tools/robustcheckout.py /usr/local/mercurial/robustcheckout.py
+
+# %include testing/docker/recipes/install-mercurial.sh
+ADD topsrcdir/testing/docker/recipes/install-mercurial.sh /build/install-mercurial.sh
+ADD system-setup.sh /tmp/system-setup.sh
+# %include tools/lint/flake8/flake8_requirements.txt
+ADD topsrcdir/tools/lint/flake8/flake8_requirements.txt /tmp/flake8_requirements.txt
+RUN bash /tmp/system-setup.sh
+
+# %include testing/docker/recipes/run-task
+ADD topsrcdir/testing/docker/recipes/run-task /home/worker/bin/run-task
+RUN chown -R worker:worker /home/worker/bin && chmod 755 /home/worker/bin/*
+
+# Set variable normally configured at login, by the shells parent process, these
+# are taken from GNU su manual
+ENV HOME /home/worker
+ENV SHELL /bin/bash
+ENV USER worker
+ENV LOGNAME worker
+ENV HOSTNAME taskcluster-worker
+ENV LANG en_US.UTF-8
+ENV LC_ALL en_US.UTF-8
+
+# Set a default command useful for debugging
+CMD ["/bin/bash", "--login"]
diff --git a/testing/docker/lint/system-setup.sh b/testing/docker/lint/system-setup.sh
new file mode 100644
index 000000000..5bf1a04dd
--- /dev/null
+++ b/testing/docker/lint/system-setup.sh
@@ -0,0 +1,69 @@
+#!/usr/bin/env bash
+# This allows ubuntu-desktop to be installed without human interaction
+export DEBIAN_FRONTEND=noninteractive
+
+set -ve
+
+test `whoami` == 'root'
+
+mkdir -p /setup
+cd /setup
+
+apt_packages=()
+apt_packages+=('curl')
+apt_packages+=('locales')
+apt_packages+=('python')
+apt_packages+=('python-pip')
+apt_packages+=('sudo')
+apt_packages+=('xz-utils')
+
+apt-get update
+apt-get install -y ${apt_packages[@]}
+
+# Without this we get spurious "LC_ALL: cannot change locale (en_US.UTF-8)" errors,
+# and python scripts raise UnicodeEncodeError when trying to print unicode characters.
+locale-gen en_US.UTF-8
+dpkg-reconfigure locales
+
+tooltool_fetch() {
+ cat >manifest.tt
+ /build/tooltool.py fetch
+ rm manifest.tt
+}
+
+cd /build
+. install-mercurial.sh
+
+###
+# ESLint Setup
+###
+
+# install node
+
+# For future reference things like this don't need to be uploaded to tooltool, as long
+# as we verify the hash, we can download it from the external net.
+cd /setup
+tooltool_fetch <<'EOF'
+[
+{
+ "size": 8310316,
+ "digest": "95f4fa3d9b215348393dfac4a1c5eff72e9ef85dca38eb69cc8e6c1fe5aada0136c3b182dc04ed5c19fb69f0ac7df85d9c4045b9eb382fcb545b0ccacfece25b",
+ "algorithm": "sha512",
+ "filename": "node-v4.4.5-linux-x64.tar.xz"
+}
+]
+EOF
+tar -C /usr/local --strip-components 1 -xJ < node-*.tar.xz
+node -v # verify
+npm -v
+
+###
+# Flake8 Setup
+###
+
+cd /setup
+
+pip install --require-hashes -r /tmp/flake8_requirements.txt
+
+cd /
+rm -rf /setup